Unit tde54e_p;
{$J+}
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE54E_p, FGDE54E_p, FRDE54E_p, DE54E_p;

function tde54e: String;

implementation

function tde54e: String;
var
NX,I,NX1,IERR :Integer;
XN,XK,HX,P,X0,HMIN,EPS,H :Extended;
BULDY :Boolean;
Y :Array [0..10] of Extended;
DY :Array [0..10] of Extended;
const
CN :Array [0..2] of Extended = ( +1.0e0,-2.0e0,0.0e0 );
CK :Array [0..2] of Extended = ( 1.0e0,2.0e0,0.0e0 );
begin
Result := '';  {   }
XN := -1.e0;
XK := 1.e0;
NX := 11;
X0 := XN;
HX := 0.01e0;
P := 11.0;
HX := 2.e0/199.e0;
X0 := 1.e0-10.e0*HX;
BULDY := True;
HMIN := 1.e-10;
EPS := 0.00001e0;
H := 0.01e0;
DE54E(FDE54E,FGDE54E,FRDE54E,XN,XK,CN,CK,NX,X0,HX,BULDY,HMIN,EPS,P,
     H,Y,DY,NX1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' NX1=']);
Result := Result + Format('%5d ',[NX1]);
Result := Result + Format('%s',['           Y']);
Result := Result + Format('%s',['                     DY' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for I:=1 to 11 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [Y[I-1],DY[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde54e',Result);  {     tde54e.res }
exit;
end;

end.
